<?php
/**
 * @version    1.0.0
 * @package    Com_Stopbadbots
 * @author     Bill Minozzi <sergiominozzi@gmail.com>
 * @copyright  2020  Minozzi
 * @license    GNU General Public License version 2 or later; see LICENSE.txt
 */
// No direct access
defined('_JEXEC') or die;
use \Joomla\CMS\Factory;
/**
 * Stopbadbots helper.
 *
 * @since  1.0
 */
class StopbadbotsHelper
{
	/**
	 * Configure the Linkbar.
	 *
	 * @param   string  $vName  string
	 *
	 * @return void
	 */
	public static function addSubmenu($vName = '')
	{
		JHtmlSidebar::addEntry(
			JText::_('COM_STOPBADBOTS_TITLE_DASHBOARDS'),
			'index.php?option=com_stopbadbots&view=dashboards',
			$vName == 'dashboards'
		);
		JHtmlSidebar::addEntry(
			JText::_('COM_STOPBADBOTS_TITLE_BOTS'),
			'index.php?option=com_stopbadbots&view=bots',
			$vName == 'bots'
		);
	}
	/**
	 * Gets the files attached to an item
	 *
	 * @param   int     $pk     The item's id
	 *
	 * @param   string  $table  The table's name
	 *
	 * @param   string  $field  The field's name
	 *
	 * @return  array  The files
	 */
	public static function getFiles($pk, $table, $field)
	{
		$db = Factory::getDbo();
		$query = $db->getQuery(true);
		$query
			->select($field)
			->from($table)
			->where('id = ' . (int) $pk);
		$db->setQuery($query);
		return explode(',', $db->loadResult());
	}
	/**
	 * Gets a list of the actions that can be performed.
	 *
	 * @return    JObject
	 *
	 * @since    1.0
	 */
	public static function getActions()
	{
		$user   = Factory::getUser();
		$result = new JObject;
		$assetName = 'com_stopbadbots';
		$actions = array(
			'core.admin', 'core.manage', 'core.create', 'core.edit', 'core.edit.own', 'core.edit.state', 'core.delete'
		);
		foreach ($actions as $action)
		{
			$result->set($action, $user->authorise($action, $assetName));
		}
		return $result;
	}
}