<?php
/**
 * @version    1.0.0
 * @package    Com_Stopbadbots
 * @author     Bill Minozzi <sergiominozzi@gmail.com>
 * @copyright  2020  Minozzi
 * @license    GNU General Public License version 2 or later; see LICENSE.txt
 */
// No direct access
defined('_JEXEC') or die;
use \Joomla\CMS\HTML\HTMLHelper;
use \Joomla\CMS\Factory;
use \Joomla\CMS\Uri\Uri;
use \Joomla\CMS\Router\Route;
use \Joomla\CMS\Language\Text;
HTMLHelper::addIncludePath(JPATH_COMPONENT . '/helpers/html');
HTMLHelper::_('behavior.tooltip');
HTMLHelper::_('behavior.formvalidation');
HTMLHelper::_('formbehavior.chosen', 'select');
HTMLHelper::_('behavior.keepalive');
// Import CSS
$document = Factory::getDocument();
$document->addStyleSheet(Uri::root() . 'media/com_stopbadbots/css/form.css');
?>
<script type="text/javascript">
	js = jQuery.noConflict();
	js(document).ready(function () {
	  //	alert('11');
	});
	Joomla.submitbutton = function (task) {
		if (task == 'bot.cancel') {
			Joomla.submitform(task, document.getElementById('bot-form'));
		}
		else {
			if (task != 'bot.cancel' && document.formvalidator.isValid(document.id('bot-form'))) {
				Joomla.submitform(task, document.getElementById('bot-form'));
			}
			else {
				alert('<?php echo $this->escape(Text::_('JGLOBAL_VALIDATION_FORM_FAILED')); ?>');
			}
		}
	}
</script>
<form
	action="<?php echo JRoute::_('index.php?option=com_stopbadbots&layout=edit&id=' . (int) $this->item->id); ?>"
	method="post" enctype="multipart/form-data" name="adminForm" id="bot-form" class="form-validate form-horizontal">
	<input type="hidden" name="jform[id]" value="<?php echo $this->item->id; ?>" />
	<?php //echo JHtml::_('bootstrap.startTabSet', 'myTab', array('active' => 'ManageTable')); ?>
	<?php // echo JHtml::_('bootstrap.addTab', 'myTab', 'ManageTable', JText::_('Manage Table', true)); ?>
	<div class="row-fluid">
		<div class="span10 form-horizontal">
			<fieldset class="adminform">
			<legend>
			<?php 
			 if(!isset($this->item->id))
				echo JText::_('COM_STOPBADBOTS_FIELDSET_ADDRECORD'); 
			else
				echo JText::_('COM_STOPBADBOTS_FIELDSET_EDITRECORD'); 
			?>
				</legend>
				<?php echo $this->form->renderField('botnickname'); ?>
				<?php echo $this->form->renderField('botname'); ?>
				<?php echo $this->form->renderField('botstate'); ?>
				<?php echo $this->form->renderField('botblocked'); ?>
				<?php if ($this->state->params->get('save_history', 1)) : ?>
					<div class="control-group">
						<div class="control-label"><?php echo $this->form->getLabel('version_note'); ?></div>
						<div class="controls"><?php echo $this->form->getInput('version_note'); ?></div>
					</div>
				<?php endif; ?>
			</fieldset>
		</div>
	</div>
	<?php //echo JHtml::_('bootstrap.endTab'); ?>
	<?php echo JHtml::_('bootstrap.endTabSet'); ?>
	<input type="hidden" name="task" value=""/>
	<?php echo JHtml::_('form.token'); ?>
</form>