<?php
/**
 * @version    1.0.0
 * @package    Com_Stopbadbots
 * @author     Bill Minozzi <sergiominozzi@gmail.com>
 * @copyright  2020  Minozzi
 * @license    GNU General Public License version 2 or later; see LICENSE.txt
 */
// No direct access
defined('_JEXEC') or die;
jimport('joomla.application.component.view');
use \Joomla\CMS\Language\Text;
/**
 * View class for a list of Stopbadbots.
 *
 * @since  1.0
 */
class StopbadbotsViewDashboards extends \Joomla\CMS\MVC\View\HtmlView
{
	protected $items;
	protected $pagination;
	protected $state;
	/**
	 * Display the view
	 *
	 * @param   string  $tpl  Template name
	 *
	 * @return void
	 *
	 * @throws Exception
	 */
	public function display($tpl = null)
	{
		JToolBarHelper::title('Stop Bad Bots');
		// Get data from the model
		$this->items		= $this->get('Items');
		JToolBarHelper::preferences('com_stopbadbots');
		$this->state = $this->get('State');
		// Check for errors.
		if (count($errors = $this->get('Errors'))) {
			throw new Exception(implode("\n", $errors));
		}
		StopbadbotsHelper::addSubmenu('dashboards');
		$this->sidebar = JHtmlSidebar::render();
		parent::display($tpl);
	}
	/**
	 * Check if state is set
	 *
	 * @param   mixed  $state  State
	 *
	 * @return bool
	 */
	public function getState($state)
	{
		return isset($this->state->{$state}) ? $this->state->{$state} : false;
	}
}