<?php
/**
 * StopBadBots package
* @ author Bill Minozzi
* @ Copyright (c) 2020 Bill Minozzi
* @license GNU/GPL v2 or later http://www.gnu.org/licenses/gpl-2.0.html
*/
// No direct access to this file
defined('_JEXEC') or die('Restricted access');
class com_stopbadbotsInstallerScript
{
	/**
	 * method to install the component
	 *
	 * @return void
	 */
	function install($parent) 
	{
		$installer = new JInstaller();		
		$manifest = $parent->getParent()->getManifest();
		$source = $parent->getParent()->getPath('source');
		// Install plugins
		foreach($manifest->plugins->plugin as $plugin) {
			$attributes = $plugin->attributes();
			$plg = $source . DIRECTORY_SEPARATOR . $attributes['folder'].DIRECTORY_SEPARATOR.$attributes['plugin'];
			$result = $installer->install($plg);
		}
		$db = JFactory::getDbo();
		$tableExtensions = $db->quoteName("#__extensions");
		$columnElement   = $db->quoteName("element");
		$columnType      = $db->quoteName("type");
		$columnEnabled   = $db->quoteName("enabled");
		// Enable plugin
		$db->setQuery(
			"UPDATE 
				$tableExtensions
			SET
				$columnEnabled=1
			WHERE
				$columnElement='stopbadbots'
			AND
				$columnType='plugin'"
		);
		$db->execute();
		// Install message
		$this->install_message($result); 
	}
	function install_message($result){
        $message = JText::_( 'COM_STOPBADBOTS_PLUGIN_ENABLED' );																					
    }		
}?>