<?php
/**
 * @Package			Stop Bad Bots
 * @Copyright		Bill Minozzi 
 * @license			http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * Email			sergiominozzi@gmail.com
 * web:				http://www.StopBadBots.com
 */
defined('_JEXEC') or die('Direct access forbidden!');
jimport('joomla.plugin.plugin');
jimport('joomla.filesystem.file');
jimport('joomla.application.application');
class plgSystemStopBadBots extends JPlugin
{
	function onAfterInitialise()
	{
		global $sbb_found;
		global $sbb_active;
		$app						= JFactory::getApplication();
		if ($app->isAdmin())
			return;
		$params = JComponentHelper::getParams('com_stopbadbots');
		$sbb_active = $params->get('sbb_enabled');
		if ($sbb_active != 'yes' and $sbb_active != 'test')
			return;
		$userAgent	= strip_tags($_SERVER['HTTP_USER_AGENT']);
		if (!empty($userAgent)) {
			if ($this->sbbcrawlerDetect($userAgent)) {
				$this->sbbmoreone(); // +1
				if ($sbb_active == 'yes')
					$this->sbb_response();
			}
		}
	}
	public function sbbmoreone()
	{
		global $sbb_found;
		$db = JFactory::getDbo();
		$query = $db->getQuery(true);
		$fields = $db->quoteName('botblocked') . ' =  ' . $db->quoteName('botblocked') . '+1';
		$conditions = $db->quoteName('botnickname') . " = '" . $sbb_found . "'";
		$query->update($db->quoteName('#__sbb_bots'))->set($fields)->where($conditions);
		$db->setQuery($query);
		$result = $db->execute();
	}
	public function sbb_response()
	{
		http_response_code(403);
		header('HTTP/1.1 403 Forbidden');
		header('Status: 403 Forbidden');
		header('Connection: Close');
		exit();
	}
	public function sbbcrawlerDetect($userAgent)
	{
		global $sbb_found;
		// Get a db connection.
		$db = JFactory::getDbo();
		// Create a new query object.
		$query = $db->getQuery(true);
		$query = $db
			->getQuery(true)
			->select('botnickname')
			->from($db->quoteName('#__sbb_bots'))
			->where($db->quoteName('botstate') . " LIKE '1' ");
		// Reset the query using our newly populated query object.
		$db->setQuery($query);
		$row = $db->loadColumn();
		$tot =  count($row);
		if ($tot < 1)
			return false;
		for ($i = 0; $i < $tot; $i++) {
			$name = $row[$i];
			if (strlen($name) < 3) {
				continue;
			}
			if (stripos($userAgent, $name) !== false) {
				$sbb_found = $name;
			}
			if (!empty($sbb_found)) {
				return true;
			}
		}
		return false;
	}
}
